# Generated by Django 3.1.8 on 2021-04-20 03:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0041_create_new_satellite_foreign_keys_for_models'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='telemetry',
            options={'ordering': ['new_satellite__satellite_entry__norad_cat_id'], 'verbose_name_plural': 'Telemetries'},
        ),
        migrations.RemoveField(
            model_name='demoddata',
            name='satellite',
        ),
        migrations.RemoveField(
            model_name='exportedframeset',
            name='satellite',
        ),
        migrations.RemoveField(
            model_name='latesttleset',
            name='satellite',
        ),
        migrations.RemoveField(
            model_name='telemetry',
            name='satellite',
        ),
        migrations.RemoveField(
            model_name='tle',
            name='satellite',
        ),
        migrations.RemoveField(
            model_name='transmitterentry',
            name='satellite',
        ),
        migrations.AlterField(
            model_name='demoddata',
            name='new_satellite',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='telemetry_data', to='base.satellite'),
        ),
        migrations.AlterField(
            model_name='latesttleset',
            name='new_satellite',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='latest_tle_set', to='base.satellite'),
        ),
        migrations.AlterField(
            model_name='telemetry',
            name='new_satellite',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='telemetries', to='base.satellite'),
        ),
        migrations.AlterField(
            model_name='tle',
            name='new_satellite',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tle_sets', to='base.satellite'),
        ),
        migrations.AlterField(
            model_name='transmitterentry',
            name='new_satellite',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='transmitter_entries', to='base.satellite'),
        ),
    ]
